| 1 |
mt |
5201 |
2008-10-16 Michael Tautschnig <mt@debian.org> |
| 2 |
|
|
|
| 3 |
|
|
* simple example: Added class GRUB_PC that installs and uses grub-pc instead |
| 4 |
|
|
of grub, following the suggestions of Jean Spirat <jeanspirat@squirk.org>. |
| 5 |
|
|
This is untested. |
| 6 |
|
|
* Makefile: Make sure that all example scripts are executable |
| 7 |
|
|
Index: trunk/Makefile |
| 8 |
|
|
=================================================================== |
| 9 |
|
|
--- trunk.orig/Makefile |
| 10 |
|
|
+++ trunk/Makefile |
| 11 |
|
|
@@ -45,6 +45,7 @@ |
| 12 |
|
|
install -p -m644 pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps |
| 13 |
|
|
perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai |
| 14 |
|
|
cp -a examples $(DOCDIR) |
| 15 |
|
|
+ chmod -R a+x $(DOCDIR)/examples/simple/scripts/ |
| 16 |
|
|
cp -a utils $(DOCDIR)/examples |
| 17 |
|
|
|
| 18 |
|
|
.PHONY: clean veryclean |
| 19 |
|
|
Index: trunk/examples/simple/package_config/DEFAULT |
| 20 |
|
|
=================================================================== |
| 21 |
|
|
--- trunk.orig/examples/simple/package_config/DEFAULT |
| 22 |
|
|
+++ trunk/examples/simple/package_config/DEFAULT |
| 23 |
mt |
5356 |
@@ -17,7 +17,10 @@ |
| 24 |
mt |
5201 |
dhcp3-client |
| 25 |
|
|
|
| 26 |
|
|
PACKAGES aptitude GRUB |
| 27 |
|
|
-grub lilo- |
| 28 |
|
|
+grub lilo- grub-pc- |
| 29 |
|
|
|
| 30 |
|
|
PACKAGES aptitude LILO |
| 31 |
|
|
-lilo grub- |
| 32 |
|
|
+lilo grub- grub-pc- |
| 33 |
|
|
+ |
| 34 |
|
|
+PACKAGES aptitude GRUB |
| 35 |
|
|
+grub-pc grub- lilo- |
| 36 |
|
|
Index: trunk/examples/simple/scripts/GRUB_PC/10-setup |
| 37 |
|
|
=================================================================== |
| 38 |
|
|
--- /dev/null 1970-01-01 00:00:00.000000000 +0000 |
| 39 |
|
|
+++ trunk/examples/simple/scripts/GRUB_PC/10-setup |
| 40 |
|
|
@@ -0,0 +1,26 @@ |
| 41 |
|
|
+#! /bin/bash |
| 42 |
|
|
+ |
| 43 |
|
|
+error=0 ; trap "error=$((error|1))" ERR |
| 44 |
|
|
+ |
| 45 |
|
|
+set -a |
| 46 |
|
|
+ |
| 47 |
|
|
+# during softupdate use this file |
| 48 |
|
|
+[ -r $LOGDIR/disk_var.sh ] && . $LOGDIR/disk_var.sh |
| 49 |
|
|
+ |
| 50 |
|
|
+# if class NOMBR is defined, write boot loader into root partition, not into mbr |
| 51 |
|
|
+ifclass NOMBR && BOOT_DEVICE=$BOOT_PARTITION |
| 52 |
|
|
+ |
| 53 |
|
|
+[ -z "$BOOT_DEVICE" ] && exit 701 |
| 54 |
|
|
+[ -z "$BOOT_PARTITION" ] && exit 702 |
| 55 |
|
|
+ |
| 56 |
|
|
+$ROOTCMD grub-mkimage --output=/boot/grub/core.img ext2 pc gpt biosdisk lvm |
| 57 |
|
|
+grub_dev=$(device2grub $BOOT_DEVICE) |
| 58 |
|
|
+if [ -z "$grub_dev" ] ; then |
| 59 |
|
|
+ grub_dev=$(echo $BOOT_DEVICE | sed 's#^/dev/##') |
| 60 |
|
|
+fi |
| 61 |
|
|
+$ROOTCMD /usr/sbin/grub-install "($grub_dev)" |
| 62 |
|
|
+$ROOTCMD /usr/sbin/grub-setup "($grub_dev)" |
| 63 |
|
|
+$ROOTCMD /usr/sbin/update-grub |
| 64 |
|
|
+ |
| 65 |
|
|
+exit $error |
| 66 |
|
|
+ |